ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001859ClearOSapp-web-server - Web Serverpublic2014-07-14 19:012014-08-13 16:17
Reportermarclaporte 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version6.5.0 
Target VersionFixed in Version 
Summary0001859: BackupPC - Fresh install of 6.5 - You don't have permission to access /backuppc on this server.
Description1- Fresh install on Linode
http://www.clearcenter.com/support/documentation/clearos_install_guide/linode [^]

2- Install BackupPC from the market place

3- Set password as in:
https://example.org:81/app/backuppc [^]

I am instructed: "Follow the link to access the BackupPC management tool. Please set the password for the BackupPC administrator (username backuppc) using the form below."

4- When I click the link, I am sent to:
https://example.org:81/backuppc [^]

And I get: Forbidden You don't have permission to access /backuppc on this server.

Notes:
* This is a fresh install, which reports ClearOS Community release 6.5.0 (Final)

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001237)
marclaporte (manager)
2014-07-14 19:22

I activated the repo "clearos-updates-testing" and now I have ClearOS Community release 6.6.0 Beta (Beta 1). The issue remains.

Thanks!
(0001238)
timb80 (developer)
2014-07-15 00:20
edited on: 2014-07-15 00:21

This isn't the place for support but did you set a password first?

The error is resolved by restarting the webconfig service as the backuppc web server alias has not been properly picked up. This should happen automatically after install but I'll investigate

(0001239)
marclaporte (manager)
2014-07-15 07:54

Yes, I did set the password, as per the instructions. I even fixed a typo in that UI :-)

I get the error message and no login interface.
(0001242)
timb80 (developer)
2014-07-20 15:37

Marc-can you confirm if the link works after restarting the webconfig service? i.e. you are given a user prompt rather than an error
(0001243)
marclaporte (manager)
2014-07-21 16:27

I just retested all the steps above with a 6.5 and rebooted the server at the end.

The issue remains.
(0001245)
marclaporte (manager)
2014-07-22 10:18

As a longer term solution, perhaps apps like this should be accessible via a subdomain like: backuppc.example.org
(0001275)
timb80 (developer)
2014-08-13 16:17

I think I may have identified the problem. The BackupPC admin interface is by default not accessible from an external domain (as a security default)

But should be accessible via the internal IP address or hostname. If this is too restrictive you can remove the restrictions by editing /usr/clearos/sandbox/etc/httpd/conf.d/BackupPC.conf and restarting the webconfig service

- Issue History
Date Modified Username Field Change
2014-07-14 19:01 marclaporte New Issue
2014-07-14 19:22 marclaporte Note Added: 0001237
2014-07-15 00:20 timb80 Note Added: 0001238
2014-07-15 00:21 timb80 Note Edited: 0001238 View Revisions
2014-07-15 07:54 marclaporte Note Added: 0001239
2014-07-20 15:37 timb80 Note Added: 0001242
2014-07-21 16:27 marclaporte Note Added: 0001243
2014-07-21 20:04 user2 Status new => acknowledged
2014-07-22 10:18 marclaporte Note Added: 0001245
2014-08-13 16:17 timb80 Note Added: 0001275